<?php
namespace App\Http\Controllers\Mail;

class c_Mail_Row {

    /**
     * @var c_Mail_Table
     */
    public $table;

    /**
     * @var array
     */
    private $mailColumnList = [];

    public function addColumn (c_Mail_Column $column) {
        $this->mailColumnList[] = $column;
        $column->row = $this;
        return $this;
    }

    public function __toString() {
        $cols = implode ('', $this->mailColumnList);
        return '<tr>' . $cols . '</tr>';
    }
}